"use client";
import { __require as Ar } from "./_Stack.js";
import { __require as jr } from "./_arrayEach.js";
import { __require as lr } from "./_assignValue.js";
import { __require as Ir } from "./_baseAssign.js";
import { __require as Cr } from "./_baseAssignIn.js";
import { __require as Sr } from "./_cloneBuffer.js";
import { __require as dr } from "./_copyArray.js";
import { __require as Er } from "./_copySymbols.js";
import { __require as Br } from "./_copySymbolsIn.js";
import { __require as Fr } from "./_getAllKeys.js";
import { __require as Or } from "./_getAllKeysIn.js";
import { __require as Lr } from "./_getTag.js";
import { __require as Kr } from "./_initCloneArray.js";
import { __require as Mr } from "./_initCloneByTag.js";
import { __require as hr } from "./_initCloneObject.js";
import { __require as wr } from "./isArray.js";
import { __require as Dr } from "./isBuffer.js";
import { __require as Gr } from "./isMap.js";
import { __require as Nr } from "./isObject.js";
import { __require as Ur } from "./isSet.js";
import { __require as xr } from "./keys.js";
import { __require as Rr } from "./keysIn.js";
var m, l;
function fe() {
  if (l) return m;
  l = 1;
  var I = Ar(), C = jr(), S = lr(), d = Ir(), E = Cr(), B = Sr(), F = dr(), O = Er(), L = Br(), K = Fr(), M = Or(), h = Lr(), w = Kr(), D = Mr(), G = hr(), N = wr(), U = Dr(), x = Gr(), R = Nr(), P = Ur(), V = xr(), W = Rr(), Y = 1, H = 2, J = 4, c = "[object Arguments]", Q = "[object Array]", X = "[object Boolean]", Z = "[object Date]", $ = "[object Error]", p = "[object Function]", z = "[object GeneratorFunction]", k = "[object Map]", v = "[object Number]", y = "[object Object]", rr = "[object RegExp]", er = "[object Set]", ir = "[object String]", or = "[object Symbol]", tr = "[object WeakMap]", ar = "[object ArrayBuffer]", nr = "[object DataView]", _r = "[object Float32Array]", sr = "[object Float64Array]", fr = "[object Int8Array]", qr = "[object Int16Array]", ur = "[object Int32Array]", gr = "[object Uint8Array]", mr = "[object Uint8ClampedArray]", cr = "[object Uint16Array]", pr = "[object Uint32Array]", e = {};
  e[c] = e[Q] = e[ar] = e[nr] = e[X] = e[Z] = e[_r] = e[sr] = e[fr] = e[qr] = e[ur] = e[k] = e[v] = e[y] = e[rr] = e[er] = e[ir] = e[or] = e[gr] = e[mr] = e[cr] = e[pr] = !0, e[$] = e[p] = e[tr] = !1;
  function f(r, n, _, yr, q, o) {
    var i, u = n & Y, g = n & H, br = n & J;
    if (_ && (i = q ? _(r, yr, q, o) : _(r)), i !== void 0)
      return i;
    if (!R(r))
      return r;
    var b = N(r);
    if (b) {
      if (i = w(r), !u)
        return F(r, i);
    } else {
      var s = h(r), T = s == p || s == z;
      if (U(r))
        return B(r, u);
      if (s == y || s == c || T && !q) {
        if (i = g || T ? {} : G(r), !u)
          return g ? L(r, E(i, r)) : O(r, d(i, r));
      } else {
        if (!e[s])
          return q ? r : {};
        i = D(r, s, u);
      }
    }
    o || (o = new I());
    var A = o.get(r);
    if (A)
      return A;
    o.set(r, i), P(r) ? r.forEach(function(t) {
      i.add(f(t, n, _, t, r, o));
    }) : x(r) && r.forEach(function(t, a) {
      i.set(a, f(t, n, _, a, r, o));
    });
    var Tr = br ? g ? M : K : g ? W : V, j = b ? void 0 : Tr(r);
    return C(j || r, function(t, a) {
      j && (a = t, t = r[a]), S(i, a, f(t, n, _, a, r, o));
    }), i;
  }
  return m = f, m;
}
export {
  fe as __require
};
